Skip to content
Back to top
View this page

# `incus image import`

Import images into the image store

## Synopsis

[96;1;4mDescription:[0;22;24m
Import image into the image store
Directory import is only available on Linux and must be performed as root.

    incus image import [2m([22m[32m<tarball>[0m[2m|[22m[32m<directory>[0m[2m|[22m[32m<URL>[0m[2m)[22m [2m[[22m[32m<rootfs tarball>[0m[2m][22m [2m[[22m[32m<remote>[0m:[2m][22m [2m[[22m[32m<key>[0m=[32m<value>[0m[2m...[22m[2m][22m [flags]

## Options

          --alias    New aliases to add to the image
          --public   Make image public
          --reuse    If the image alias already exists, delete and create a new one

## Options inherited from parent commands

          --debug          Show all debug messages
          --explain        If the command is valid, explain its parsed arguments instead of running it
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus image - Manage images